%define libname		%mklibname %{name}
#define ffmpegversion	3.3.7

Name:		avidemux
Version:	2.8.1
Release:	%mkrel 2
Summary:	A free video editor
License:	GPLv2+
Group:		Video
Url:		http://fixounet.free.fr/avidemux
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.xz
Source1:    org.avidemux.Avidemux.desktop
Patch2:		avidemux-plugins-2.6.4-linkage.patch
Patch3:		0001-Disable-faacDecInit-check.patch
Patch4:		avidemux-2.7.4-fix-build-against-qt-5.15.patch
Patch5:		avidemux-linking.patch
BuildRequires: cmake
BuildRequires: yasm
BuildRequires: fakeroot
BuildRequires: chrpath
BuildRequires: ImageMagick
BuildRequires: lib64a52dec0-devel
BuildRequires: lib64aften-devel
BuildRequires: lib64alsa2-devel
BuildRequires: lib64audiofile-devel 
BuildRequires: lib64bzip2-devel 
BuildRequires: lib64crystalhd-devel
BuildRequires: lib64dca-devel 
BuildRequires: lib64dcaenc-devel
BuildRequires: lib64esound-devel
BuildRequires: lib64faac-devel 
BuildRequires: lib64faad2-devel 
BuildRequires: lib64fontconfig-devel 
BuildRequires: lib64freetype6-devel
BuildRequires: lib64fribidi-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64jack-devel 
BuildRequires: lib64lame-devel 
BuildRequires: lib64lzma-devel 
BuildRequires: lib64lzo-devel 
BuildRequires: lib64mesaglu1-devel 
BuildRequires: lib64mp4v2-devel
BuildRequires: lib64ogg-devel 
BuildRequires: lib64opencore-amrnb-devel
BuildRequires: lib64opencore-amrwb-devel 
BuildRequires: lib64opus-devel 
BuildRequires: lib64pulseaudio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64SDL-devel 
BuildRequires: lib64sqlite3-devel 
BuildRequires: lib64twolame-devel
BuildRequires: lib64va-devel 
BuildRequires: lib64vdpau-devel 
BuildRequires: lib64vorbis0-devel 
BuildRequires: lib64vpx-devel 
BuildRequires: lib64x11-devel
BuildRequires: lib64x265-devel 
BuildRequires: lib64xext-devel
BuildRequires: lib64xv-devel 
BuildRequires: lib64xvid4-devel 
BuildRequires: lib64xvmc-devel 
BuildRequires: libxcb-devel 
BuildRequires: mesa-devel 
BuildRequires: multiarch-utils 
BuildRequires: qtbase5-common-devel 
BuildRequires: qttools5 
BuildRequires: texi2html
BuildRequires: texinfo 
BuildRequires: x11-proto-devel 
BuildRequires: x264-devel 


%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	pkgconfig(vdpau)
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
Group:		Video
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%package	qt
Summary:	Qt5 graphical user interface for %{name}
Group:		Video
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt5 graphical user interface for %{name}.

%package	plugins
Summary:	Plugins for %{name}
Group:		Video

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli
Group:		Video

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%package	qt-plugins
Summary:	Plugins for %{name}-qt
Group:		Video

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.


%prep
%setup -qn %{name}_%{version}

%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
export QTDIR=%{_libdir}/qt5
export CXXFLAGS=-std=c++11
bash bootStrap.bash \
     --with-core \
     --with-cli \
     --with-plugins \
     --with-system-libass \
     --with-system-liba52 \
     --with-system-libmad \
     --with-system-libmp4v2
     

%install
cp -a install/* %{buildroot}

chrpath --delete %{buildroot}/%{_libdir}/*.so*
chrpath --delete %{buildroot}/%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}/%{_bindir}/*
rm -rf %{buildroot}/%{_datadir}/ADM6_addons

chmod 0755 %buildroot/%{_libdir}/*.*

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/org.avidemux.Avidemux.desktop

%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}

%files cli
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so

%files qt
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_libdir}/libADM_UIQT56.so
%{_libdir}/libADM_render6_QT5.so
%{_libdir}/libADM_openGLQT56.so
%{_datadir}/avidemux6
%{_iconsdir}
%{_datadir}/applications/*.desktop
%{_datadir}/*/org.avidemux.Avidemux.appdata.xml

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt5/*.so

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so


%files qt-plugins
%dir %{_datadir}/avidemux6/qt5/i18n
%{_datadir}/avidemux6/qt5/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt5/*.so

%changelog
* Wed Feb 01 2023 tex - 2.8.1-2pclos2023
- rebuild against updates x264

* Tue Sep 20 2022 tex - 2.8.1-1pclos2022
- new version

* Sun Jul 18 2021 tex - 2.7.8-2pclos2021
- rebuild against updates

* Sun Mar 07 2021 tex - 2.7.8-1pclos2021
- new version

* Sun Jul 18 2020 tex - 2.7.6-1pclos2020
- new version

* Mon Aug 19 2019 tex - 2.7.4-1pclos2019
- new version

* Thu Apr 04 2019 tex - 2.7.3-2pclos2019
- rebuild against updates
